# esp32_BNO08x: bno08x_ang_vel_t Struct Reference

Loading...
Searching...
No Matches
bno08x_ang_vel_t Struct Reference

Struct to represent angular velocity (units in rad/s) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_ang_vel_t ()
template<typename T >
bno08x_ang_vel_t & | operator*= (T value)
bno08x_ang_vel_t & | operator= (const sh2_GyroIntegratedRV_t &source)

## Public Attributes

float | x
float | y
float | z

## Detailed Description

Struct to represent angular velocity (units in rad/s)

## Constructor & Destructor Documentation

## bno08x_ang_vel_t()

bno08x_ang_vel_t::bno08x_ang_vel_t | ( |  | ) |

inline

## Member Function Documentation

## operator*=()

template<typename T >

bno08x_ang_vel_t & bno08x_ang_vel_t::operator*= | ( | T | value | ) |

inline

## operator=()

bno08x_ang_vel_t & bno08x_ang_vel_t::operator= | ( | const sh2_GyroIntegratedRV_t & | source | ) |

inline

## Member Data Documentation

## x

float bno08x_ang_vel_t::x

## y

float bno08x_ang_vel_t::y

## z

float bno08x_ang_vel_t::z

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp